Subject: Re: bug#23292: 24.5; Combining characters do not reliably combine

From: handa <[email-masked]>
Date: Sun, 24 Apr 2016 23:18:09 +0900

Sorry for the late response.

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > For the record, the composition works for me on MS-Windows using the
> > Arial Unicode MS font, and the composition data looks quite different
> > (and makes much more sense to me) than what the OP shows:
> > 
> >   Composed with the following character(s) "̷" using this font:
> >     uniscribe:-outline-Arial Unicode MS-normal-normal-normal-sans-13-*-*-*-p-*-iso8859-1
> >   by these glyphs:
> >     [0 1 111 82 7 1 6 14 4 nil]
> >     [0 1 823 671 0 -5 -2 14 4 nil]
> > 
> > The OP said the composition data he gets is this:
> > 
> >   Composed with the following character(s) "̷" using this font:
> >     xft:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
> >   by these glyphs:
> >     [0 1 111 82 8 1 7 7 0 nil]
> >     [0 1 823 703 8 0 8 8 1 nil]
> > 
> > and the offsets in the second vector look wrong to me, FWIW.

> I now tried this on Windows 8.1, where the (default) Courier New font
> does have a glyph for u+0337, and I see there the same problem as
> reported by the OP, including the composition data that shows positive
> offsets where I thought negative offsets should be.

> Maybe this is something related to the fact that bot DejaVu Sans Mono
> and Courier New are monospaced fonts, whereas Arial Unicode MS isn't?

> I Hope Handa-san will provide some insight.

I tried to display "o\x0337" by "dejavu sans mono" font and saw no
problem.  I also tried "Inconsolata-g" font and found "\x0337" was not
displayed by that font.   But, this is simply because the font doesn't
have a glyph for "\x0337".

I downloaded "Inconsolata-g" font from
http://www.fantascienza.net/leonardo/ar/inconsolatag/inconsolata-g_font.zip.
Are we using the same font?

---
K. Handa
[email-masked]